Skip to main content
GET
/
{alias}
/
catalog
/
customizations
Listar customizações
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/catalog/customizations \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/customizations"

headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/customizations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "name": "Primeira Letra",
      "price": 123,
      "description": "Descrição",
      "type": "select",
      "required": true,
      "allowed_values": "<string>",
      "max_chars": 1,
      "products_ids": [
        123
      ],
      "values": "['A', 'B', 'C', 'D']",
      "total_products": 123,
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      }
    }
  ],
  "meta": {
    "pagination": {
      "total": "10",
      "count": "30",
      "per_page": "10",
      "current_page": "1",
      "total_pages": "3",
      "links": {
        "previous": "",
        "next": ""
      }
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Response

Lista de customizações

Representa uma paginação com meta

data
Customização de um SKU · object[]
meta
object